Skip to main content
`Ctrl`+`K`

# PetscGlobalMinMaxInt

Get the global min/max from local min/max input

## Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscGlobalMinMaxInt(MPI_Comm comm, const PetscInt minMaxVal[2], PetscInt minMaxValGlobal[2])

Collective

## Input Parameters

- comm - The MPI communicator to reduce with

- minMaxVal - An array with the local min and max

## Output Parameter

- minMaxValGlobal - An array with the global min and max

## See Also

`PetscSplitOwnership()`, `PetscGlobalMinMaxReal()`

## Level

beginner

## Location

src/sys/utils/mpiu.c

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages